qpid::framing::EncodedValue Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::framing::EncodedValue Class Reference

`#include <qpid/framing/FieldValue.h>`

List of all members.

## Public Member Functions
| EncodedValue ()
| EncodedValue (const T &v)
T & | getValue ()
const T & | getValue () const
uint32_t | encodedSize () const
void | encode (Buffer &buffer)
void | decode (Buffer &buffer)
bool | operator== (const Data &d) const
void | print (std::ostream &o) const
virtual bool | operator== (const Data &) const =0
virtual bool | convertsToInt () const
virtual bool | convertsToString () const
virtual int64_t | getInt () const
virtual std::string | getString () const

## Constructor & Destructor Documentation

qpid::framing::EncodedValue::EncodedValue | ( |  | ) | `[inline]`

Definition at line 297 of file FieldValue.h.

qpid::framing::EncodedValue::EncodedValue | ( | const T & | v | ) | `[inline]`

Definition at line 298 of file FieldValue.h.

## Member Function Documentation

virtual bool qpid::framing::FieldValue::Data::convertsToInt | ( |  | ) | const`[inline, virtual, inherited]`

Reimplemented in qpid::framing::FixedWidthValue.

Definition at line 75 of file FieldValue.h.

virtual bool qpid::framing::FieldValue::Data::convertsToString | ( |  | ) | const`[inline, virtual, inherited]`

Reimplemented in qpid::framing::VariableWidthValue.

Definition at line 76 of file FieldValue.h.

void qpid::framing::EncodedValue::decode | ( | Buffer & | buffer | ) | `[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 308 of file FieldValue.h.

void qpid::framing::EncodedValue::encode | ( | Buffer & | buffer | ) | `[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 305 of file FieldValue.h.

uint32_t qpid::framing::EncodedValue::encodedSize | ( |  | ) | const`[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 303 of file FieldValue.h.

virtual int64_t qpid::framing::FieldValue::Data::getInt | ( |  | ) | const`[inline, virtual, inherited]`

Reimplemented in qpid::framing::FixedWidthValue.

Definition at line 77 of file FieldValue.h.

virtual std::string qpid::framing::FieldValue::Data::getString | ( |  | ) | const`[inline, virtual, inherited]`

Reimplemented in qpid::framing::VariableWidthValue.

Definition at line 78 of file FieldValue.h.

T& qpid::framing::EncodedValue::getValue | ( |  | ) | `[inline]`

Definition at line 300 of file FieldValue.h.

const T& qpid::framing::EncodedValue::getValue | ( |  | ) | const`[inline]`

Definition at line 301 of file FieldValue.h.

virtual bool qpid::framing::FieldValue::Data::operator== | ( | const Data & |  | ) | const`[pure virtual, inherited]`

bool qpid::framing::EncodedValue::operator== | ( | const Data & | d | ) | const`[inline]`

Definition at line 311 of file FieldValue.h.

void qpid::framing::EncodedValue::print | ( | std::ostream & | o | ) | const`[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 317 of file FieldValue.h.

The documentation for this class was generated from the following file:

- qpid/framing/FieldValue.h